"use strict";

exports.__esModule = true;
exports.default = findLastIndex;

/*
 * @Author: 天吾
 * @Date: 2019-01-22 18:08:02
 * @Last Modified by:   天吾
 * @Last Modified time: 2019-01-22 18:08:02
 */
function findLastIndex(arr, func) {
  for (var index = arr.length - 1; index >= 0; index -= 1) {
    if (func(arr[index], index, arr)) {
      return index;
    }
  }

  return -1;
}